# $Revision: 1.49.2.3 $, $Date: 2007/01/29 08:50:40 $
#
# Conditional build:
%bcond_with	gtkhtml		# build with gtkhtml support
#
Summary:	Utilities for the Xfce Desktop Environment
Summary(pl):	Narzdzia dla rodowiska Xfce
Name:		xfce-utils
Version:	4.4.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.us.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	e90a98cf6de0610170c39a4eae36ad8f
Source1:	xfce4-xsession.desktop
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-gxmessage.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbh-devel >= 1.0
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	gettext-devel
%{?with_gtkhtml:BuildRequires:	gtkhtml-devel}
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	gxmessage
Requires:	libxfce4mcs >= %{version}
Requires:	libxfcegui4 >= %{version}
Requires:	xfce-mcs-manager >= %{version}
Requires:	xlockmore
Conflicts:	xfce4-session < 0.1.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce-utils contains utilities for the Xfce Desktop Environment.

%description -l pl
xfce-utils zawiera narzdzia dla rodowiska Xfce.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{pt_PT,pt}.po

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{?with_gtkhtml:--enable-gtkhtml} \
	--enable-gdm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.{la,a}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11/{dm,gdm,wmsession.d}
rm -f $RPM_BUILD_ROOT%{_datadir}/xsessions/xfce.desktop

# switchdesk provides Xclients.Xfce4
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/xfce4.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/xinitrc
%{_datadir}/dbus-1/services/*.service
%{_datadir}/xfce4/AUTHORS
%{_datadir}/xfce4/INFO
%lang(ca) %{_datadir}/xfce4/INFO.ca
%lang(es) %{_datadir}/xfce4/INFO.es
%lang(fi) %{_datadir}/xfce4/INFO.fi
%lang(fr) %{_datadir}/xfce4/INFO.fr
%lang(it) %{_datadir}/xfce4/INFO.it
%lang(ja) %{_datadir}/xfce4/INFO.ja
%lang(ru) %{_datadir}/xfce4/INFO.ru
%lang(uk) %{_datadir}/xfce4/INFO.uk
%lang(vi) %{_datadir}/xfce4/INFO.vi
%{_datadir}/xfce4/COPYING
%{_datadir}/xfce4/BSD
%{_datadir}/xfce4/LGPL
%{_datadir}/xfce4/GPL

%docdir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/xfce*.css
%{_datadir}/xfce4/doc/xfce-mouse.png
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(it) %{_datadir}/xfce4/doc/it/*
%{_iconsdir}/hicolor/*/*/*

%{_datadir}/xsessions/xfce4.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce-utils.spec,v $
Revision 1.49.2.3  2007/01/29 08:50:40  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.59  2007/01/22 17:59:53  megabajt
- updated to 4.4.0

Revision 1.58  2006/11/06 20:09:44  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.57  2006/09/19 17:56:06  megabajt
- remove /usr/share/apps/switchdesk/Xclients.Xfce4
  (switchdesk provides this file)
- release 2

Revision 1.56  2006/09/06 18:04:25  megabajt
- added %update_icon_cache macro

Revision 1.55  2006/09/06 12:43:54  charles
- updated to 4.3.99.1

Revision 1.49.2.2  2006/07/05 09:49:51  havner
- removed R: xlockware, its either it or xscreensaver

Revision 1.49.2.1  2006/07/05 09:41:19  havner
- 4.2.3, HEAD merge

Revision 1.54  2006/03/23 11:06:32  paszczus
- added R: xlockware which is needed by xflock4 to work

Revision 1.53  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.52  2005/11/10 03:01:06  charles
- updated (simplified) doc files

Revision 1.51  2005/11/09 18:12:56  troll
- updated to 4.2.3

Revision 1.50  2005/05/19 11:33:24  troll
- updated to 4.2.2
- BR: xfce4-dev-tools

Revision 1.49  2005/03/16 12:52:52  charles
- restored changelog lost on update

Revision 1.48  2005/03/16 11:24:58  charles
- BR: gettext-devel

Revision 1.47 2005/03/16 11:13:19 charles
- updated to 4.2.1

Revision 1.46  2005/01/17 14:26:46  charles
- BR dbh-devel

Revision 1.45  2005/01/17 14:01:41  troll
- updated to 4.2.0 final

Revision 1.44  2005/01/05 03:22:18  charles
- reverted Rs libxfce4mcs, libxfcegui4, xfce-mcs-manager

Revision 1.43  2005/01/04 17:03:07  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.42  2004/12/28 08:58:34  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.41  2004/12/22 15:31:15  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.40  2004/12/13 21:30:00  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.39  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.38  2004/11/27 18:34:51  havner
- contains also jpg images

Revision 1.37  2004/11/27 18:30:53  havner
- proper locales

Revision 1.36  2004/11/27 12:23:08  havner
- without gtkhtml by default, doesn't seem to give anything, only bumps
  requires

Revision 1.35  2004/11/27 11:39:29  havner
- don't own images dirs

Revision 1.34  2004/11/26 18:02:18  havner
- gtkhtml bcond

Revision 1.33  2004/11/25 06:23:44  troll
- missing BR: autoconf >= 2.50

Revision 1.32  2004/11/25 05:54:51  troll
- merged from DEVEL

Revision 1.27.2.12  2004/11/15 21:55:21  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.27.2.11  2004/11/07 10:49:07  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.27.2.10  2004/10/07 06:19:08  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.27.2.9  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.27.2.8  2004/08/13 17:37:43  havner
- fixed doc files

Revision 1.27.2.7  2004/08/13 17:15:12  havner
- md5

Revision 1.27.2.6  2004/08/13 17:11:40  havner
- proper version
- stricter BR
- 20040813
- do not remove licence files, they are used by xfce4-panel

Revision 1.27.2.5  2004/08/07 02:02:44  havner
- do not remove licences (they apper in xfce about dialog)

Revision 1.27.2.4  2004/08/06 23:11:48  havner
- 20040806

Revision 1.27.2.3  2004/06/22 13:22:20  jpc
- fixes from troll
- cosmetics

Revision 1.27.2.2  2004/06/17 08:52:28  jpc
- added patch (use gxmessage instead of xmessage)

Revision 1.27.2.1  2004/06/16 19:13:47  jpc
- new snap 20040616
- autotoolize
- added one desktop

Revision 1.27  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.26  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.25  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.24  2004/03/14 20:06:24  adgor
- xsession desktop file moved to xfce4-utils package

Revision 1.23  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.22  2004/01/12 22:24:56  undefine
- copy config.sub to allow build on amd64

Revision 1.21  2004/01/08 23:28:55  troll
- updated to 4.0.3\n- removed translations (included in vendor packages)

Revision 1.20  2004/01/05 16:38:11  andree
- added patch0 -> pl fixes
- fixes in files section, remove some unpackged files

Revision 1.19  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.18  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.17  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.16  2003/09/24 21:57:20  adgor
- XFce4.desktop moved to xfce4-session pkg

Revision 1.15  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.14  2003/09/12 22:42:55  aredridel
- do we need this /three/ places?

Revision 1.13  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.12  2003/08/27 09:13:47  pascalek
- updated to 3.99.3

Revision 1.11  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.10  2003/08/04 10:43:18  qboosh
- R: for xfce-mcs-manager version that contains /etc/xfce4

Revision 1.9  2003/08/02 20:23:41  luzik
 - fixed %files

Revision 1.8  2003/08/02 17:38:38  aredridel
- added XFce4.desktop to /etc/X11/dm/Sessions

Revision 1.7  2003/08/01 14:51:11  qboosh
- /etc/xfce4 is in mcs-manager now

Revision 1.6  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.5  2003/07/07 07:27:09  pascalek
- updated to 3.91.0

Revision 1.4  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.3  2003/06/17 08:19:26  qboosh
- pl, cleanups, fixes in file list

Revision 1.2  2003/06/14 19:32:19  pascalek
- corrected attributes

Revision 1.1  2003/06/14 19:28:42  pascalek
- initial release
